Bug 225482 - lang/phantomjs: Fix build with clang 6.0.0
Summary: lang/phantomjs: Fix build with clang 6.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks: 224669
  Show dependency treegraph
 
Reported: 2018-01-27 04:38 UTC by Fukang Chen
Modified: 2018-06-19 03:48 UTC (History)
2 users (show)

See Also:
feld: maintainer-feedback+


Attachments
patch (1.52 KB, patch)
2018-01-27 04:38 UTC, Fukang Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Mark Felder freebsd_committer 2018-02-11 16:38:35 UTC
Approving this as long as I can get confirmation from someone involved in the exp-run as well.
Comment 2 Dimitry Andric freebsd_committer 2018-02-11 17:02:15 UTC
The fix looks fairly standard for this, seems OK to me.  An alternative solution would be to set USE_CXXSTD=gnu++98, but since you only have to change one line, that is probably overkill.
Comment 3 commit-hook freebsd_committer 2018-06-19 03:41:22 UTC
A commit references this bug:

Author: loader
Date: Tue Jun 19 03:40:39 UTC 2018
New revision: 472754
URL: https://svnweb.freebsd.org/changeset/ports/472754

Log:
  lang/phantomjs: Allow building on armv6 and armv7 platforms

  - Patches for armv6 and armv7 are obtained from www/webkit-gtk3
  - Allow building with non-default LOCALBASE
  - Fix build with Clang 6.0.0 [0]

  PR:		225482 [0]
  Reviewed by:	koobs, feld
  Approved by:	koobs (mentor), feld (maintainner)
  Differential Revision:	https://reviews.freebsd.org/D15850

Changes:
  head/lang/phantomjs/Makefile
  head/lang/phantomjs/files/patch-src_qt_qtbase_mkspecs_freebsd-clang_qmake.conf
  head/lang/phantomjs/files/patch-src_qt_qtwebkit_Source_JavaScriptCore_assembler_ARMAssembler.h
  head/lang/phantomjs/files/patch-src_qt_qtwebkit_Source_WTF_wtf_Platform.h
  head/lang/phantomjs/files/patch-src_qt_qtwebkit_Source_WebCore_platform_graphics_cpu_arm_filters_FELightingNEON.cpp
  head/lang/phantomjs/files/patch-src_webpage.cpp